Follow

研究一下Python的monorepo

可以用poetry這個工具一口氣安裝數個本地Editable套件,只需要裝一次。

但一直都做不到這個效果,研究了一段時間後發現⋯⋯是因為poetry.lock的問題。

在1.1之前,預設是Editable,所以一切正常

現在是1.1.6,預設變成non-editable,跟據文件說明要人手改config檔變回editable,但當你add local package時poetry.lock已經產生,同時也記了該套件是non-editable,所以poetry.lock也得一併修改,文件沒告訢你這點。

要等1.2版本才能直接解決這個問題,現在要人動。

· · Web · 0 · 0 · 1
Sign in to participate in the conversation
Mastodon

Server run by the main developers of the project 🐘 It is not focused on any particular niche interest - everyone is welcome as long as you follow our code of conduct!